CloudIntegrations:
  get:
    tags:
      - catalog_cloud_integrations
    operationId: getCloudIntegration
    x-lg-handler: 'App\Http\ApiV1\Modules\Catalog\Controllers\Feeds\CloudIntegrationsController@get'
    summary: Get the object of CloudIntegration
    description: Get the object of CloudIntegration
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/cloud-integrations.yaml#/CloudIntegrationResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  post:
    tags:
      - catalog_cloud_integrations
    operationId: createCloudIntegration
    x-lg-handler: 'App\Http\ApiV1\Modules\Catalog\Controllers\Feeds\CloudIntegrationsController@create'
    summary: Creating an object of CloudIntegration
    description: Creating an object of CloudIntegration
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/cloud-integrations.yaml#/CreateCloudIntegrationRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/cloud-integrations.yaml#/CloudIntegrationResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - catalog_cloud_integrations
    operationId: patchCloudIntegration
    x-lg-handler: 'App\Http\ApiV1\Modules\Catalog\Controllers\Feeds\CloudIntegrationsController@patch'
    summary: Patching an object of CloudIntegration
    description: Patching an object of CloudIntegration
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/cloud-integrations.yaml#/PatchCloudIntegrationRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/cloud-integrations.yaml#/CloudIntegrationResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

PathId:
  in: path
  name: id
  required: true
  schema:
    type: integer
    minimum: 1
  description: Numeric ID
  example: 1
